Bug 310301 - xkeyboard rules contain invalid entries
xkeyboard rules contain invalid entries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 00:41 EDT by Matthias Hölzl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 19:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that replaces all occurrences of <> with &lt;> (4.01 KB, patch)
2007-09-28 00:41 EDT, Matthias Hölzl
no flags Details | Diff

  None (edit)
Description Matthias Hölzl 2007-09-28 00:41:50 EDT
Description of problem:
The file /usr/share/X11/xkb/rules/base.xml contains invalid entries.

Version-Release number of selected component (if applicable):
xkeyboard-config-1.1-1.fc8

How reproducible:
Check the keyboard configuration with gnome-keyboard-properties.

Steps to Reproduce:
1. Run gnome-keyboard-properties
2. Switch to the Layouts tab
3. Switch to the Layout Options tab
  
Actual results:
Keyboard model is "Unknown"
No Layout options availables

Expected results:
Keyboard model should be Generic 105-key (Intl) PC
Layout options should be available

Additional info:
From .xsession-errors:

/usr/share/X11/xkb/rules/xorg.xml:5738: parser error : StartTag: invalid element
name
            <description xml:lang="sl">Dvojni <> (guillemets) namesto navednic</
                                               ^
/usr/share/X11/xkb/rules/xorg.xml:6566: parser error : StartTag: invalid element
name
            <description xml:lang="sl">Dvojni <> (guillemets) namesto navednic</
                                               ^
/usr/share/X11/xkb/rules/xorg.xml:12242: parser error : StartTag: invalid
element name
            <description xml:lang="sl">Z dvojnimi <> (Guillemots)</description>
                                                   ^
/usr/share/X11/xkb/rules/xorg.xml:12262: parser error : StartTag: invalid
element name
            <description xml:lang="sl">Latinska z dvojnimi <> (Guillemots)</desc
                                                            ^
/usr/share/X11/xkb/rules/xorg.xml:12340: parser error : StartTag: invalid
element name
            <description xml:lang="sl">Dvojni <> (guillemets) namesto navednic</
                                               ^
Loading /lib/kbd/keymaps/i386/qwertz/de-latin1-nodeadkeys.map.gz
/usr/share/X11/xkb/rules/xorg.xml:5738: parser error : StartTag: invalid element
name
            <description xml:lang="sl">Dvojni <> (guillemets) namesto navednic</
                                               ^
/usr/share/X11/xkb/rules/xorg.xml:6566: parser error : StartTag: invalid element
name
            <description xml:lang="sl">Dvojni <> (guillemets) namesto navednic</
                                               ^
/usr/share/X11/xkb/rules/xorg.xml:12242: parser error : StartTag: invalid
element name
            <description xml:lang="sl">Z dvojnimi <> (Guillemots)</description>
                                                   ^
/usr/share/X11/xkb/rules/xorg.xml:12262: parser error : StartTag: invalid
element name
            <description xml:lang="sl">Latinska z dvojnimi <> (Guillemots)</desc
                                                            ^
/usr/share/X11/xkb/rules/xorg.xml:12340: parser error : StartTag: invalid
element name
            <description xml:lang="sl">Dvojni <> (guillemets) namesto navednic</
Comment 1 Matthias Hölzl 2007-09-28 00:41:50 EDT
Created attachment 209501 [details]
Patch that replaces all occurrences of <> with &lt;>
Comment 2 Matthias Clasen 2007-10-01 19:27:48 EDT
Should be fixed in 1.1-2.fc8, I believe. Please reopen if there is still a problem.

Note You need to log in before you can comment on or make changes to this bug.